import { flags } from '@anycli/command';
import Base from './command_base';
export default abstract class AppCommand extends Base {
    static flags: {
        defaults: {
            name: string;
            char?: "a" | "b" | "i" | "p" | "q" | "s" | "u" | "g" | "c" | "d" | "e" | "f" | "h" | "j" | "k" | "l" | "m" | "n" | "o" | "r" | "t" | "v" | "x" | "y" | "z" | "A" | "B" | "C" | "D" | "E" | "F" | "G" | "H" | "I" | "J" | "K" | "L" | "M" | "N" | "O" | "P" | "Q" | "R" | "S" | "T" | "U" | "V" | "X" | "Y" | "Z" | undefined;
            description?: string | undefined;
            hidden?: boolean | undefined;
            required?: boolean | undefined;
            parse(input: boolean): boolean;
        } & {
            type: "boolean";
            allowNo: boolean;
        };
        options: flags.IOptionFlag<string | undefined>;
        force: {
            name: string;
            char?: "a" | "b" | "i" | "p" | "q" | "s" | "u" | "g" | "c" | "d" | "e" | "f" | "h" | "j" | "k" | "l" | "m" | "n" | "o" | "r" | "t" | "v" | "x" | "y" | "z" | "A" | "B" | "C" | "D" | "E" | "F" | "G" | "H" | "I" | "J" | "K" | "L" | "M" | "N" | "O" | "P" | "Q" | "R" | "S" | "T" | "U" | "V" | "X" | "Y" | "Z" | undefined;
            description?: string | undefined;
            hidden?: boolean | undefined;
            required?: boolean | undefined;
            parse(input: boolean): boolean;
        } & {
            type: "boolean";
            allowNo: boolean;
        };
    };
    static args: {
        name: string;
        required: boolean;
    }[];
    options: {
        flags: {
            defaults: any;
            options: any;
            force: any;
        };
        args: {
            [name: string]: string;
        };
        argv: string[];
        raw: ({
            type: "arg";
            input: string;
        } | {
            type: "flag";
            flag: string;
            input: string;
        })[];
    };
    abstract type: string;
    run(): Promise<void>;
}
