"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@anycli/command");
const command_base_1 = require("./command_base");
class AppCommand extends command_base_1.default {
    constructor() {
        super(...arguments);
        this.options = command_1.parse(this.argv, AppCommand);
    }
    async run() {
        const options = this.options.flags.options ? this.options.flags.options.split(',') : [];
        await super.generate('app', {
            type: this.type,
            path: this.options.args.path,
            options,
            defaults: this.options.flags.defaults,
            force: this.options.flags.force
        });
    }
}
AppCommand.flags = {
    defaults: command_1.flags.boolean({ description: 'use defaults for every setting' }),
    options: command_1.flags.string({ description: '(typescript|semantic-release|mocha)' }),
    force: command_1.flags.boolean({ description: 'overwrite existing files' }),
};
AppCommand.args = [
    { name: 'path', required: false }
];
exports.default = AppCommand;
