"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@anycli/command");
const command_base_1 = require("../command_base");
class AppCommand extends command_base_1.default {
    constructor() {
        super(...arguments);
        this.options = command_1.parse(this.argv, AppCommand);
    }
    async run() {
        await super.generate('command', {
            name: this.options.args.name,
            defaults: this.options.flags.defaults,
            force: this.options.flags.force
        });
    }
}
AppCommand.flags = {
    defaults: command_1.flags.boolean({ description: 'use defaults for every setting' }),
    force: command_1.flags.boolean({ description: 'overwrite existing files' }),
};
AppCommand.args = [
    { name: 'name', description: 'name of command', required: true }
];
exports.default = AppCommand;
